Subject: RE: [Mip6] comment on draft-ietf-mip6-nemo-v4traversal-00

From: "Soliman, Hesham" <[email-masked]>
Date: Wed, 26 Oct 2005 23:57:37 -0400

Hello Romain,

 > Dear authors of draft-ietf-mip6-nemo-v4traversal-00,
 > 
 > First of all thank you for providing this draft. We were 
 > eager to see it 
 > as the v4 traversal feature is one of the most important 
 > missing feature 
 > for IPv6-mobility deployement.
 > 
 > About the draft, I have a concern regarding how the DSMIPv6 
 > MN can get a 
 > new IPv4 CoA when roaming in an IPv4 network. Sorry if I 
 > have misread 
 > the draft, but no hints are provided in the draft, and the solutions 
 > proposed by RFC 3344 (MIPv4) cannot apply here, as it is 
 > based on the 
 > Agent Advertisement. 

=> The Agent advertisement does not allocate addresses. In MIPv4
the MN can either use its home address on the foreign link or 
obtain a colocated CoA through DHCP or other mechanisms like
PPP. In the case of DSMIPv6 you can assume the same, i.e. DHCP, PPP
or any other mechanism at the visited network. MIPv4 is not used
in this solution.

Hesham

   Or does a Foreign Agent must be present in each 
 > IPv4 network we roam into?
 > 
 > Regards,
 > 
 > -- 
 > Romain KUNTZ
 > [email-masked]
 > 
 > _______________________________________________
 > Mip6 mailing list
 > [email-masked]
 > https://www1.ietf.org/mailman/listinfo/mip6
 > 

===========================================================
This email may contain confidential and privileged material for the sole use
 of the intended recipient.  Any review or distribution by others is strictly
 prohibited.  If you are not the intended recipient please contact the sender
 and delete all copies.
===========================================================

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6

---

From: Romain KUNTZ <[email-masked]>
Date: Thu, 27 Oct 2005 14:54:33 +0900

Hello,

> or any other mechanism at the visited network. MIPv4 is not used

I see. Sorry for the confusion and thanks for the clarification.

-- 
Romain KUNTZ
[email-masked]

---

From: Alexandru Petrescu <[email-masked]>
Date: Thu, 27 Oct 2005 14:12:50 +0200

Soliman, Hesham wrote:

>> First of all thank you for providing this draft. We were eager to 
>> see it as the v4 traversal feature is one of the most important 
>> missing feature for IPv6-mobility deployement.
>> 
>> About the draft, I have a concern regarding how the DSMIPv6 MN can
>>  get a new IPv4 CoA when roaming in an IPv4 network. Sorry if I
>> have misread the draft, but no hints are provided in the draft, and
>> the solutions proposed by RFC 3344 (MIPv4) cannot apply here, as it
>> is based on the Agent Advertisement.
> 
> => The Agent advertisement does not allocate addresses.

But it does movement detection.  A DSMIPv6 that detects movement based
only on IPv6 RA can't detect movement when on a v4-only access network.

> In MIPv4 the MN can either use its home address on the foreign link 
> or obtain a colocated CoA through DHCP or other mechanisms like PPP.

Right, and when MIP4 is used with NAI (RFC specifies that) and ppp then
a stable IPv4 address is provided.  DSMIPv6 doesn't currently have that.

> In the case of DSMIPv6 you can assume the same, i.e. DHCP, PPP or any
>  other mechanism at the visited network.

I agree.

> MIPv4 is not used in this solution.

And because of the reasons above, a DSMIPv6 MN that needs to detect its
movement on a v4-only access network will still need a MIP4 stack.  In
addition to the reasons above, the MIP4 stack is also needed on the HA
to perform proxy ARP for the IPv4 Home Address (a thing that DSMIPv6
doesn't).

Alex